<?php
!defined("MONKEYMAO") && die("Accessed Defined!");
	$serverinfo = PHP_OS.' / PHP v'.PHP_VERSION;
	$serverinfo .= @ini_get('safe_mode') ? ' Safe Mode' : NULL;
	$dbversion = $db->result($db->query("SELECT VERSION()"), 0);
	if(@ini_get('file_uploads')) {
		$fileupload = 'YES, File '.ini_get('upload_max_filesize').' -Form '.ini_get('post_max_size');
	} else {
		$fileupload = '<font color="red">NO</font>';
	}
	$dbsize = 0;
	$query = $db->query("SHOW TABLE STATUS LIKE '$tablepre%'", 'SILENT');
	while($table = $db->fetch_array($query)) {
		$dbsize += $table['Data_length'] + $table['Index_length'];
	}
	$dbsize = $dbsize ? sizecount($dbsize) : $lang['unknown'];
	$picfilesize = $db -> queryarray("SELECT sum(filesize) AS picsize FROM {$tablepre}uploads");
	$picsize=sizecount($picfilesize[picsize]);
	$query = $db -> query("SELECT COUNT(*) FROM {$tablepre}uploads");
	$pictotal = $db->result($query ,0);
	if(is_array($gdinfo)) {
		foreach($gdinfo AS $key => $value) {
			if($value == 1) {
				$gdinfo[$key] = 'Yes';
			}elseif(!$value){
				$gdinfo[$key] = 'NO';
			}else{
				$gdinfo[$key] = $value;
			}
			
		}
	}	
	include theme('main', 'themes/admin','admin');
?>